Get the Autonomous System Numbers (ASN)

- « GeoIP Functions

- geoip_continent_code_by_name »

- PHP Manual
- GeoIP Functions
- Get the Autonomous System Numbers (ASN)

# geoip_asnum_by_name

(PECL geoip >= 1.1.0)

geoip_asnum_by_name — Get the Autonomous System Numbers (ASN)

### Description

geoip_asnum_by_name(string `$hostname`): string

The geoip_asnum_by_name() function will return the Autonomous System Numbers (ASN) associated with an IP address.

### Parameters

`hostname`

  The hostname or IP address.

### Return Values

Returns the ASN on success, or `false` if the address cannot be found in the database.

### Examples

Example #1 A geoip_asnum_by_name() example

This will output the ASN of the host www.example.com.

    <?php
    $asn = geoip_asnum_by_name('www.example.com');

    if ($asn) {
        echo 'The ASN is: ' . $asn;
    }
    ?>

The above example will output:

    The ASN is: AS15133 EdgeCast Networks, Inc